# -*- coding: utf-8 -*-
from django import forms
import datetime

from catalog.models import Process
# from django import db 
# db.connections.close_all()
#from django.contrib.auth.forms import UserCreationForm
#from django.contrib.auth.models import User
#from buscador.models import Investigador, Reto
from .widgets import FengyuanChenDatePickerInput

all_process = Process.objects.filter(status=True)

platforms = [[-1,'Select the search process']]

for each_process in all_process:
    platforms.append((each_process.id,each_process.name))
    

#ALOS, A3, AIRSAR, AS, ERS-1, E1, ERS-2, E2, JERS-1, J1, RADARSAT-1, R1, SEASAT, SS, Sentinel-1A, SA, Sentinel-1B, SB, SMAP, SP, UAVSAR, UA.
class ASFSearchForm(forms.Form):
    polygon = forms.CharField(widget=forms.TextInput(attrs={'class':"form-control"}))
    platform = forms.ChoiceField(choices=platforms, widget=forms.Select(attrs={'class':"form-control"}))
    start = forms.DateField(
        widget=FengyuanChenDatePickerInput(),
        required=True
    )
    end = forms.DateField(
        widget=FengyuanChenDatePickerInput(),
        required=True
    )

    maxResults = forms.IntegerField()
